<#	
	.NOTES
	===========================================================================
	 Created with: 	SAPIEN Technologies, Inc., PowerShell Studio 2021 v5.8.188
	 Created on:   	05/05/2021 08:56
	 Created by:   	MauriceDaly
	 Organization: 	Cloudway
	 Filename:     	Remove-CVE202121551.ps1
	===========================================================================
	.DESCRIPTION
		Searches for and removes dbutil_2_3.sys assoicated with Dell CVE-2021-21551
#>

$SystemFile = "dbutil_2_3.sys"
$UserProfileSearch = (Get-ChildItem -Path C:\Users -Filter $SystemFile -Recurse -ErrorAction SilentlyContinue)
$TempSearch = (Get-ChildItem -Path C:\Windows\Temp -Filter $SystemFile -Recurse -ErrorAction SilentlyContinue)
try {
	if ([boolean]$UserProfileSearch -eq $true -or [boolean]$TempSearch -eq $true) {
		Write-Output "Dell dbutil_2_3.sys file has been detected"
		if (-not ([string]::IsNullOrEmpty($UserProfileSearch.FullName))) {
			foreach ($File in $UserProfileSearch.FullName) {
				Remove-Item -Path $File -Verbose
				Write-Output "Removed Dell $SystemFile from $File"
			}
		}
		if (-not ([string]::IsNullOrEmpty($TempSearch.FullName))) {
			foreach ($File in $TempSearch.FullName) {
				Remove-Item -Path $File -Verbose
				Write-Output "Removed Dell $SystemFile from $File"
			}
		}
		exit 0
	} else {
		Write-Output "Dell dbutil_2_3.sys file not present on system"; exit 0
	}
} catch {
	Write-Output "Issues occured while attempting to remediate : $($_.Exception.Message)"; exit 1
}